import { ApplicationLifeCycleStatusTypes } from "./enum-application-life-cycle-status";
import { IProbe } from "./i-probe";
import { IProbeResult } from "./i-probe-result";
/**
 * Null probe default probe checks nothing and returns the default status
 * @param defaultStatus default status to be returned everytime probe is checked
 * @returns IProbe
*/
export declare class NullProble<T extends ApplicationLifeCycleStatusTypes> implements IProbe<T> {
    private readonly defaultStatus;
    /**
     * Constructor for NullProble
     * @param {ApplicationLifeCycleStatus} defaultStatus default status to be returned everytime probe is checked
     * @returns IProbe
     * */
    constructor(defaultStatus: T);
    check(): Promise<IProbeResult<T>>;
}
