"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NullProble = void 0;
/**
 * Null probe default probe checks nothing and returns the default status
 * @param defaultStatus default status to be returned everytime probe is checked
 * @returns IProbe
*/
class NullProble {
    /**
     * Constructor for NullProble
     * @param {ApplicationLifeCycleStatus} defaultStatus default status to be returned everytime probe is checked
     * @returns IProbe
     * */
    constructor(defaultStatus) {
        this.defaultStatus = defaultStatus;
    }
    check() {
        return __awaiter(this, void 0, void 0, function* () {
            return {
                status: this.defaultStatus,
                data: {}
            };
        });
    }
}
exports.NullProble = NullProble;
//# sourceMappingURL=null-probe.js.map